#ifndef _MAIN_H_
#define _MAIN_H_

// main.h 

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <util/delay.h>
#include <avr/eeprom.h>

// Macros
#define SBI(port, bit)	(port |= _BV(bit))
#define CBI(port, bit)	(port &= ~_BV(bit))
#define NOP() __asm("NOP")

#define TRICKLE_MIN 0
#define TRICKLE_MAX	1750
#define CHARGE_MIN	500
#define CHARGE_MAX	1100

// Declares

// Port Definitions

// Functions

#endif

